#2024/07/03: work on v2 data, remove correction on reflectance
#2024/05/03 new calibration factors derived from spexone fitting
#2024/04/11: add global attribute input
#2024/04/05: test measurement correction
#2024/03/30: add option to seed initial values
#2024/03/29: add ancillary data mask
#2024/03/28: add ref_var and dolp_var
#2024/02/09: add correlated noise
#====== Global attribute update: null
prefix: 'global_'
global_title: 'PACE HARP2 Level-2 data'
global_processing_version: 'v3.7.5'
global_processing_software: 'FastMAPOL'
global_processing_level: "L2"
global_comments: 'Test product, bias/scale correction removed'
global_history: ''
global_reference: 'https://doi.org/10.5194/amt-16-5863-2023'
#====== General options ======: null
nfout: ''
grid_resolution: 1
data_chunk: 100
flag_disable_tqdm: true
flag_process_print: false
flag_bin2sun: true
flag_log10chla: true
trainset: 10k
nn_ref: /home/mgao/github/nnrt_models/v2.2/harp205ref_nr400_Leaky17x256x256x256x4_bs1024_nx4000000_d2-100_boa_999.pk
nn_dolp: /home/mgao/github/nnrt_models/v2.2/harp205dolp_nr1000_Leaky17x512x512x512x4_bs1024_nx10000000_d2-100_boa_729.pk
nn_ref1: /home/mgao/github/nnrt_models/v2.2/harp205ref_nr100_Leaky17x128x128x128x4_bs1024_nx1000000_d2-100_boa_499.pk
nn_dolp1: /home/mgao/github/nnrt_models/v2.2/harp205dolp_nr400_Leaky17x256x256x256x4_bs1024_nx4000000_d2-100_boa_999.pk
nn_aodf: /home/mgao/github/nnrt_models/v2.2/harp205aodf_nr_Leaky5x64x64x4_bs1024_nx10000_d2-100_boa_499.pk
nn_aodc: /home/mgao/github/nnrt_models/v2.2/harp205aodc_nr_Leaky4x64x64x4_bs1024_nx10000_d2-100_boa_499.pk
nn_albedof: /home/mgao/github/nnrt_models/v2.2/harp205albedof_nr_Leaky5x64x64x4_bs1024_nx10000_d2-100_boa_499.pk
nn_albedoc: /home/mgao/github/nnrt_models/v2.2/harp205albedoc_nr_Leaky4x64x64x4_bs1024_nx10000_d2-100_boa_499.pk
nn_ref2o101: /home/mgao/github/nnrt_models/v2.2/harp205ref2o101_nr1000_Leaky16x512x512x512x4_bs1024_nx10000000_d2-101_boa_499.pk
nn_itt: /home/mgao/github/nnrt_models/v2.2/harp205itt_nr100_Leaky17x128x128x4_bs1024_nx999585_itt_499.pk
nn_ttbrdf: /home/mgao/github/nnrt_models/v2.2/harp205ttbrdf_nr100_Leaky17x128x128x4_bs1024_nx999583_ttbrdf_499.pk
#====== data filter =============: null
glintmask: 0
max_angle_scatt: 180
anc_read_keys: ['PS','TO3','waterfraction']
anc_new_keys: ['pr','o3','wf']
anc_new_min: [800,150,0.9]
anc_new_max: [1100,450,1.0]
data_screen_loop: 2
data_screen_par1: [0.01, 0, 3, 3]
data_screen_par2: [0.01, 0, 3, 3]
data_screen_angle_buffer: 4
output_chi2_max: 5
output_size_min: 10
quality_flag0: [0, 1.5, 30, 30]
quality_flag1: [1, 3, 30, 30]
quality_flag2: [2, 3, 20, 20]
quality_flag3: [3, 3, 15, 15]
quality_flag4: [4, 3, 10, 10]
ref870max: 0.3
ang870max: 40
flag_var_percentage: false
ref_var_max: 0.005 #[]
dolp_var_max: 0.05 #[]
cloud_nangle: ''
cloud_mode: side
#====== L1C data option ======: null
option_aerosol_input: v1.4
flag_mean_solar: false
flag_chla_interpolate: false
nbest: 100000
max_aod: 0.5
#====== Uncertainty model ======: null
ang_type: harp2
test_angle_scale: 1.0
use_zero_nn_rt_std: false
ref_std_rt:
- 0.00012
- 5.0e-05
- 0.0001
- 0.00015
dolp_std_rt:
- 0.0002
- 0.0002
- 0.0005
- 0.0007
ref_std_nn:
- 0.00101
- 0.00191
- 0.0024
- 0.00194
dolp_std_nn:
- 0.0022
- 0.0026
- 0.003
- 0.0038
ref_std_random:
- 0.0
- 0.0
- 0.0
- 0.0
dolp_std_random:
- 0.0
- 0.0
- 0.0
- 0.0
ref_std_cal_flag: true
ref_std_cal_bias:
- 1.0e-05
- 1.0e-05
- 1.0e-05
- 1.0e-05
ref_std_cal_scale:
- 0.03
- 0.03
- 0.03
- 0.03
dolp_std_cal_flag: true
dolp_std_cal_bias:
- 0.005
- 0.005
- 0.005
- 0.005
dolp_std_cal_scale:
- 0.0
- 0.0
- 0.0
- 0.0
noise_on: false
corr_rhov:
- 10
- 5
- 0
- 0
ref_cal_bias:
- 0
- 0
- 0
- 0
ref_cal_scale:
- 1.0
- 1.0
- 1.0
- 1.0
dolp_cal_bias:
- 0
- 0
- 0
- 0
dolp_cal_scale:
- 1
- 1
- 1
- 1
#====== Inversion options ======: null
all_keys:
- zen
- az
- solzen
- o3
- pr
- zc
- wndspd
- log10chla
- vdv1
- vdv2
- vdv3
- vdv4
- vdv5
- mfr
- mcr
- mfi
- mci
ang_keys:
- zen
- az
- solzen
fix_keys:
- o3
- pr
input_keys:
- zen
- az
- solzen
- o3
- pr
retr_keys:
- zc
- wndspd
- log10chla
- vdv1
- vdv2
- vdv3
- vdv4
- vdv5
- mfr
- mcr
- mfi
- mci
retr_bound_min:
- 0.0
- 0.0
- 0.0
- 0.0
- 0.0
- 0.0
- 0.0
- 0.0
- 0.0
- 0.0
- 0.0
- 0.0
retr_bound_max:
- 1.0
- 1.0
- 1.0
- 1.0
- 1.0
- 1.0
- 1.0
- 1.0
- 0.7
- 0.7
- 1.0
- 0.03
coeffs0:
- 0.5
- 0.5
- 0.5
- 0.11
- 0.15
- 0.19
- 0.09
- 0.06
- 0.35
- 0.35
- 0.5
- 0.02
coeffs0_reset_grid_resolution: 100
coeffs0_reset_screen_loop: 2
coeffs0_reset_chi2_max: 2
error_bound_key:
- fvf
- refff
- vefff
- reffc
- veffc
- albedo1
- albedo2
- albedo3
- albedo4
- albedof1
- albedof2
- albedof3
- albedof4
- albedoc1
- albedoc2
- albedoc3
- albedoc4
- nn_Rrs_brdf_nonoise1
- nn_Rrs_brdf_nonoise2
- nn_Rrs_brdf_nonoise3
- nn_Rrs_brdf_nonoise4
error_bound_value:
- 1.0
- 0.16
- 0.34
- 1.67
- 0.4
- 1.0
- 1.0
- 1.0
- 1.0
- 1.0
- 1.0
- 1.0
- 1.0
- 1.0
- 1.0
- 1.0
- 1.0
- 0.02
- 0.02
- 0.001
- 0.001
#====== Optimization options ======: null
ftol: 0.01
xtol: 0.01
gtol: 0.01
opt_method: trf
opt_jac: ad
jac_type: auto
#jac_type: rev_noc
flag_first_guess: true
ftol_first_guess: 0.1
verbose: 0
n_random_init: false
range1:
- 0.2
- 0.8
nang_minv:
- 1
- 1
- 1
- 1
flag_regular: false
#====== Post processing options ======: null
flag_error_estimation: false
flag_rrs_estimation: false
flag_rrs_mean_estimation: false
flag_noise_estimation: false
flag_fd: false
option_noise_analyze: 3
#====== forward oc run ==========: null
grid_resolution_l2: 1
flag_no_aerosol: true
